org.codehaus.groovy.control.customizers.builder

## Interface PostCompletionFactory

- All Known Implementing Classes:
    CustomizersFactory, InlinedASTCustomizerFactory, SourceAwareCustomizerFactory

      public interface PostCompletionFactory

  A helper interface for factories which require post processing of generated nodes.
  Since:
    2.1.0
  Author:
    Cedric Champeau

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)`

- - ### Method Detail

    - #### postCompleteNode

          Object postCompleteNode(FactoryBuilderSupport factory,
                                Object parent,
                                Object node)